Subject: RE: Label type to be used

From: "Pandian, Vijay" <[email-masked]>
Date: Mon, 22 Mar 2004 11:37:36 -0500

Kireeti,

Comments inline...

Regards,

Vijay

> -----Original Message-----
> From: Kireeti Kompella [mailto:[email-masked]]
> Sent: Thursday, March 18, 2004 12:58 PM
> To: [email-masked]
> Subject: Label type to be used
> 
> 
> Hi,
> 
> Arthi and Lou pointed out the following typos in the GMPLS routing doc
> (draft-ietf-ccamp-gmpls-routing-09.txt) which is now in the RFC
> Editor's queue:
> 
> In section 2.4.7 is the following table defining the type of label
> for various combinations of switching types:
> 
>       [PSC, PSC] - label is carried in the "shim" header [RFC3032]
>       [TDM, TDM] - label represents a TDM time slot [GMPLS-SONET-SDH]
>       [LSC, LSC] - label represents a lambda
>       [FSC, FSC] - label represents a port on an OXC
>       [PSC, TDM] - label represents a TDM time slot [GMPLS-SONET-SDH]
>       [PSC, LSC] - label represents a lambda
>       [PSC, FSC] - label represents a port
>       [TDM, LSC] - label represents a lambda
>       [TDM, FSC] - label represents a port
>       [LSC, FSC] - label represents a port
> 
> The one at issue is [PSC, LSC]; above it says that the label
> represents a lambda; and in the case of [PSC, TDM] with a fully
> transparent signal, the above indicates the label represents a TDM
> time slot.  The proposal is to change this to:
> 
>       [PSC, PSC] - label is carried in the "shim" header [RFC3032]
>       [TDM, TDM] - label represents a TDM time slot [GMPLS-SONET-SDH]
>       [LSC, LSC] - label represents a lambda
>       [FSC, FSC] - label represents a port on an OXC
>       [PSC, TDM] - fully transparent signal: label represents a port
>                    ("transparency" is defined in [GMPLS-SONET-SDH])
>       [PSC, TDM] - non-transparent signal: label represents a TDM time
>                    slot [GMPLS-SONET-SDH]
>       [PSC, LSC] - label represents a port
>       [PSC, FSC] - label represents a port
>       [TDM, LSC] - label represents a lambda
>       [TDM, FSC] - label represents a port
>       [LSC, FSC] - label represents a port
> 
> Please respond by Friday 3/26, 5pm PST with comments on:
> 
> a) do you agree with the above change?

Yes, but we need one more change.
Why is it for [TDM, LSC] the label is lambda? Shouldn't this be port as
well?

> b) in your implementation today, what do expect the label to represent
>    i) in the case of [PSC, LSC]?

Not applicable

>    ii) in the case of [PSC, TDM] with a fully transparent signal?

Port

> c) if you implement as the draft says, would it be a hardship 
> to change
>    this?

No

> 
> If we can get closure on this, I'll take up the task of modifying the
> pending RFC with the ADs.
> 
> Kireeti.
> -------
>

---

From: John Drake <[email-masked]>
Date: Mon, 22 Mar 2004 16:34:52 -0800

Snipped

-----Original Message-----
An alternative is to advertise such interfaces as LSC all the time.  I 
don't think such advertisements are implied today, but the text could be 
change.

JD:  This is my understanding of what should be advertised.  Whether
the wavelength is internally switched electrically or optically isn't
relevant.

---

From: John Drake <[email-masked]>
Date: Tue, 23 Mar 2004 08:45:49 -0800

Very sensible

-----Original Message-----
From: Ben Mack-Crane [mailto:[email-masked]]
Sent: Tuesday, March 23, 2004 8:15 AM
To: Kireeti Kompella
Cc: [email-masked]
Subject: Re: Label type to be used

Hi,

The original text seems to have a sensible pattern.
The proposed changed text does not.

In reviewing the discussion so far, it seems to me the best solution
is to leave the text as is, understanding that switches capable of
handling both TDM channelized switching as well as fully transparent
(port or lambda) switching advertise multiple switching types.

The tuples shown in the text under discussion do not appear in routing,
and labels are not a concern of routing, so rather than confuse
things further, it is best to leave the text as is.

Answers to the specific questions are in-line below.

Regards,
Ben

Kireeti Kompella wrote:

Hi,

Editor's queue:

                   slot [GMPLS-SONET-SDH]

No.

Lambda.

Port.

c) if you implement as the draft says, would it be a hardship to change

   this?

Yes.

Kireeti.

-------

  _____  

============================================================
The information contained in this message may be privileged 
and confidential and protected from disclosure. If the 
reader of this message is not the intended recipient, or an 
employee or agent responsible for delivering this message to 
the intended recipient, you are hereby notified that any 
reproduction, dissemination or distribution of this 
communication is strictly prohibited. If you have received 
this communication in error, please notify us immediately by 
replying to the message and deleting it from your computer.

Thank you.
Tellabs
============================================================